summaryrefslogtreecommitdiff
path: root/bin/taler-deployment-switch-test-green
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2018-01-03 10:53:33 +0100
committerMarcello Stanisci <stanisci.m@gmail.com>2018-01-03 10:53:33 +0100
commit8e3e5a16e818f79ab832bf94179e500cc5703bd0 (patch)
treebf33783cb1418a00da1d1c4d730d44cf06d072e0 /bin/taler-deployment-switch-test-green
parentad31fbb87fd62fdef0c8440ffc1f4c35f5aea9ea (diff)
downloaddeployment-8e3e5a16e818f79ab832bf94179e500cc5703bd0.tar.gz
deployment-8e3e5a16e818f79ab832bf94179e500cc5703bd0.tar.bz2
deployment-8e3e5a16e818f79ab832bf94179e500cc5703bd0.zip
right names
Diffstat (limited to 'bin/taler-deployment-switch-test-green')
-rwxr-xr-xbin/taler-deployment-switch-test-green12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/taler-deployment-switch-test-green b/bin/taler-deployment-switch-test-green
new file mode 100755
index 0000000..4429ea0
--- /dev/null
+++ b/bin/taler-deployment-switch-test-green
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+if ! test $(whoami) = test; then
+ echo Please run as the 'test' user. Exiting.
+ exit 1
+fi
+
+rm /home/test/sockets || true
+rm /home/test/landing || true
+ln -s /home/test-green/sockets
+ln -s /home/test-green/landing
+echo "test-green" > /home/test/active